Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 607487 - IO is stuck due to active device that moved to suspend mode and never resumed
IO is stuck due to active device that moved to suspend mode and never resumed
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: device-mapper-multipath (Show other bugs)
5.5
All Linux
high Severity high
: rc
: ---
Assigned To: Ben Marzinski
Red Hat Kernel QE team
: ZStream
Depends On: 584742
Blocks: 607467
  Show dependency treegraph
 
Reported: 2010-06-24 04:45 EDT by RHEL Product and Program Management
Modified: 2010-11-22 18:37 EST (History)
21 users (show)

See Also:
Fixed In Version: device-mapper-multipath-0.4.7-34.el5_5.3
Doc Type: Bug Fix
Doc Text:
Previously, to resize a multipath device, users had to run the command "multipathd -k'resize map <mapname>'". Running "multipath" instead caused the multipath to become stuck in the SUSPENDED state. In this state, all input/output to the device hung. Now users can resize the device with either command, and the multipath device will no longer get stuck in the SUSPENDED state.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-14 08:44:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2010:0532 normal SHIPPED_LIVE device-mapper-multipath bug fix update 2010-07-14 08:43:58 EDT

  None (edit)
Description RHEL Product and Program Management 2010-06-24 04:45:39 EDT
This bug has been copied from bug #584742 and has been proposed
to be backported to 5.5 z-stream (EUS).
Comment 3 Ben Marzinski 2010-06-24 19:52:23 EDT
This fix has now been ported the the zstream.
Comment 4 Jaromir Hradilek 2010-06-29 04:54:47 EDT
Technical note added. If any revisions are required, please edit the "Technical Notes" field
accordingly. All revisions will be proofread by the Engineering Content Services team.

New Contents:
Previously, to resize a multipath device, users had to run the command "multipathd -k'resize map <mapname>'", as running "multipath" instead caused the multipath to become stuck in the SUSPENDED state. In this state, all input/output to the device hung. Now users can resize the device with either command, and the multipath device will no longer get stuck in the SUSPENDED state.
Comment 5 Barry Donahue 2010-06-30 10:22:15 EDT
Verified fix in device-mapper-multipath-0.4.7-34.el5_5.4.x86_64.rpm and kpartx-0.4.7-34.el5_5.4.x86_64.rpm.
Comment 6 Florian Nadge 2010-07-14 06:10:35 EDT
Technical note updated. If any revisions are required, please edit the "Technical Notes" field
accordingly. All revisions will be proofread by the Engineering Content Services team.

Diffed Contents:
@@ -1 +1 @@
-Previously, to resize a multipath device, users had to run the command "multipathd -k'resize map <mapname>'", as running "multipath" instead caused the multipath to become stuck in the SUSPENDED state. In this state, all input/output to the device hung. Now users can resize the device with either command, and the multipath device will no longer get stuck in the SUSPENDED state.+Previously, to resize a multipath device, users had to run the command "multipathd -k'resize map <mapname>'". Running "multipath" instead caused the multipath to become stuck in the SUSPENDED state. In this state, all input/output to the device hung.  Now users can resize the device with either command, and the multipath device will no longer get stuck in the SUSPENDED state.
Comment 8 errata-xmlrpc 2010-07-14 08:44:05 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2010-0532.html

Note You need to log in before you can comment on or make changes to this bug.